
.product .summary .price {
    margin-bottom: 1.25rem;
    width: -moz-fit-content;
    width: fit-content;
    padding: 0.25rem;
    font-size: 1.25rem;
    line-height: 1.75rem;
    font-weight: 500;
    --tw-text-opacity: 1;
    color: rgb(100 116 139 / var(--tw-text-opacity));
}

.product .product_title {
    font-size: 1.5rem;
    line-height: 2rem;
}

@media (min-width: 992px) {

    .product .product_title {
        font-size: 1.875rem;
        line-height: 2.25rem;
    }
}
.product .flex-control-thumbs {
    margin-top: 0.75rem;
    display: flex;
    flex-wrap: wrap;
    gap: 0.625rem;
}
.product #color-variations ul li {
    cursor: pointer;
    border-radius: 9999px;
    border-width: 1px;
    border-color: transparent;
    padding: 0.125rem;
}
.product #color-variations ul li:hover {
    --tw-border-opacity: 1;
    border-color: rgb(255 192 8 / var(--tw-border-opacity));
}
.product #color-variations ul li.active {
    border-width: 2px;
    --tw-border-opacity: 1;
    border-color: rgb(255 192 8 / var(--tw-border-opacity));
}
.product .variations .km-variation-control li {
    display: flex;
    cursor: pointer;
    justify-content: space-between;
    border-radius: 0.375rem;
    border-width: 2px;
    --tw-border-opacity: 1;
    border-color: rgb(226 232 240 / var(--tw-border-opacity));
    padding: 0.125rem;
}
.product .variations .km-variation-control li:hover {
    --tw-border-opacity: 1;
    border-color: rgb(255 192 8 / var(--tw-border-opacity));
}
.product .variations .km-variation-control li.selected {
    --tw-border-opacity: 1;
    border-color: rgb(255 192 8 / var(--tw-border-opacity));
    font-weight: 500;
}
.product .variations .km-variation-control li span {
    padding-left: 0.5rem;
    padding-right: 0.5rem;
}

.product .woocommerce-product-details__short-description {
    margin-bottom: 1rem;
}
.product .variations .label {
    display: none;
}
.product .quantity {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    display: flex;
    width: -moz-fit-content;
    width: fit-content;
    border-radius: 0.5rem;
    border-width: 1px;
    --tw-border-opacity: 1;
    border-color: rgb(226 232 240 / var(--tw-border-opacity));
    --tw-bg-opacity: 1;
    background-color: rgb(241 245 249 / var(--tw-bg-opacity));
    padding: 0.5rem;
    --tw-text-opacity: 1;
    color: rgb(100 116 139 / var(--tw-text-opacity));
}
.product .quantity input {
    margin-left: 0.125rem;
    margin-right: 0.125rem;
    width: 2rem;
    --tw-bg-opacity: 1;
    background-color: rgb(241 245 249 / var(--tw-bg-opacity));
    text-align: center;
    font-size: 1.125rem;
    line-height: 1.75rem;
}
.product .quantity button {
    margin-left: 0.25rem;
    margin-right: 0.25rem;
    border-radius: 9999px;
    border-width: 1px;
    --tw-border-opacity: 1;
    border-color: rgb(226 232 240 / var(--tw-border-opacity));
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity));
    padding: 0.25rem;
}
.product .woocommerce-variation-add-to-cart {
    display: flex;
    -moz-column-gap: 1rem;
         column-gap: 1rem;
}
.product .woocommerce-variation-add-to-cart .cart-btn {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    border-radius: 0.5rem;
    --tw-bg-opacity: 1;
    background-color: rgb(71 85 105 / var(--tw-bg-opacity));
    padding-left: 2rem;
    padding-right: 2rem;
    padding-top: 0.625rem;
    padding-bottom: 0.625rem;
    font-weight: 600;
    --tw-text-opacity: 1;
    color: rgb(255 255 255 / var(--tw-text-opacity));
}
.product .woocommerce-variation-add-to-cart .cart-btn:hover {
    --tw-bg-opacity: 1;
    background-color: rgb(100 116 139 / var(--tw-bg-opacity));
}
.woocommerce-tabs .tabs {
    margin-top: 1rem;
    display: flex;
    justify-content: center;
}
.woocommerce-tabs .tabs li {
    margin-left: 0.5rem;
    margin-right: 0.5rem;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
    font-size: 1.125rem;
    line-height: 1.75rem;
    font-weight: 500;
}
.woocommerce-tabs .tabs li.active {
    border-bottom-width: 2px;
    --tw-border-opacity: 1;
    border-color: rgb(255 192 8 / var(--tw-border-opacity));
}
.woocommerce-tabs .woocommerce-Tabs-panel {
    padding-top: 2rem;
}
/* .woocommerce-cart-form .product-thumbnail img {
    @apply tw-w-32
} */
.woocommerce-cart-form .quantity {
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
    display: flex;
    width: -moz-fit-content;
    width: fit-content;
}
@media (min-width: 992px) {

    .woocommerce-cart-form .quantity {
        margin-top: 0.125rem;
        margin-bottom: 0.125rem;
    }
}
.woocommerce-cart-form .quantity input {
    margin-left: 0.125rem;
    margin-right: 0.125rem;
    width: 2rem;
    text-align: center;
}
.woocommerce-cart-form .quantity button {
    border-radius: 9999px;
    border-width: 1px;
    --tw-border-opacity: 1;
    border-color: rgb(241 245 249 / var(--tw-border-opacity));
    --tw-bg-opacity: 1;
    background-color: rgb(255 255 255 / var(--tw-bg-opacity));
    padding: 0.125rem;
}
.product-details a {
    padding-bottom: 0.25rem;
    font-size: 1.25rem;
    line-height: 1.75rem;
    font-weight: 600;
}
.product-details .variation {
    display: flex;
    -moz-column-gap: 0.25rem;
         column-gap: 0.25rem;
    padding-top: 0.125rem;
    padding-bottom: 0.125rem;
}
.product-details .variation dd {
    font-weight: 600;
}
.product-subtotal .amount {
    margin-top: 0.25rem;
    padding: 0.25rem;
    font-size: 1.125rem;
    line-height: 1.75rem;
    font-weight: 600;
}
.coupon-wrapper .km-coupon {
    display: none;
}
.cart-discount a {
    --tw-text-opacity: 1;
    color: rgb(230 99 55 / var(--tw-text-opacity));
}
.form-row.address-field {
    display: none;
} 
#ship-to-different-address {
    display: none;
}
.form-row label[for="shipping_address_1"] {
    font-size: 1.125rem;
    line-height: 1.75rem;
    font-weight: 500;
}
#order_review .shop_table thead {
    display: none;
}
#payment ul {
    margin-top: 0.5rem;
    --tw-bg-opacity: 1;
    background-color: rgb(241 245 249 / var(--tw-bg-opacity));
    padding-left: 1rem;
    padding-right: 1rem;
    padding-top: 0.75rem;
    padding-bottom: 0.75rem;
}
#payment li p {
    padding-left: 0.5rem;
    padding-right: 0.5rem;
}
#payment li label {
    padding-left: 0.25rem;
    font-weight: 500;
}
#payment div.payment_box {
    position: relative;
    margin-top: 1rem;
    margin-bottom: 1rem;
    --tw-bg-opacity: 1;
    background-color: rgb(226 232 240 / var(--tw-bg-opacity));
    padding-top: 1rem;
    padding-bottom: 1rem;
}
#payment div.payment_box:before {
    position: absolute;
    top: -1rem;
    left: 0px;
    margin-top: -1rem;
    margin-left: 2rem;
    display: block;
    border-width: 16px;
    --tw-border-opacity: 1;
    border-color: rgb(226 232 240 / var(--tw-border-opacity));
    border-left-color: transparent;
    border-right-color: transparent;
    border-top-color: transparent;
    --tw-content: '';
    content: var(--tw-content);
}
form[name="checkout"]  span.optional {
    display: none;
}
#place_order {
    margin-bottom: 0.75rem;
    margin-top: 1rem;
    width: 100%;
    --tw-bg-opacity: 1;
    background-color: rgb(30 41 59 / var(--tw-bg-opacity));
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    font-size: 1.125rem;
    font-weight: 500;
    line-height: 2rem;
    --tw-text-opacity: 1;
    color: rgb(255 255 255 / var(--tw-text-opacity));
}
#place_order:hover {
    --tw-text-opacity: 1;
    color: rgb(255 192 8 / var(--tw-text-opacity));
} 
.wcus-checkout-fields h3 {
    font-size: 1.125rem;
    line-height: 1.75rem;
    font-weight: 500;
    --tw-text-opacity: 1;
    color: rgb(71 84 103 / var(--tw-text-opacity));
}
.form-row.notes {
    margin-top: 1.25rem;
}
nav.woocommerce-breadcrumb {
    margin-bottom: 2rem;
}
.comment-form-comment label {
    display: block;
}
.comment-form-comment textarea {
    width: 100%;
    border-width: 1px;
    --tw-border-opacity: 1;
    border-color: rgb(226 232 240 / var(--tw-border-opacity));
}
.comment-form-comment textarea:focus {
    outline-color: #94a3b8;
}
@media (min-width: 992px) {

    .comment-form-comment textarea {
        width: 50%;
    }
}
.category li img {
    --tw-drop-shadow: drop-shadow(0 4px 3px rgb(0 0 0 / 0.07)) drop-shadow(0 2px 2px rgb(0 0 0 / 0.06));
    filter: var(--tw-blur) var(--tw-brightness) var(--tw-contrast) var(--tw-grayscale) var(--tw-hue-rotate) var(--tw-invert) var(--tw-saturate) var(--tw-sepia) var(--tw-drop-shadow);
}
#mini-cart li.loading {
    opacity: 0.5;
    transition-property: opacity;
    transition-timing-function: cubic-bezier(0.4, 0, 0.2, 1);
    transition-duration: 300ms;
}
.woocommerce-error {
    margin-bottom: 0.5rem;
    font-size: 1.125rem;
    line-height: 1.75rem;
    --tw-text-opacity: 1;
    color: rgb(230 99 55 / var(--tw-text-opacity));
}
.woocommerce-message {
    font-size: 1.125rem;
    line-height: 1.75rem;
    --tw-text-opacity: 1;
    color: rgb(22 163 74 / var(--tw-text-opacity));
}
/**
* Star rating
*/
.star-rating {
    overflow: hidden;
    position: relative;
    height: 1.618em;
    line-height: 1.618;
    width: 5.3em;
    font-family: star;
    font-weight: 400;
    font-size: 19px;
}

.star-rating::before {
    content: "\53\53\53\53\53";
    opacity: 0.25;
    float: left;
    top: 0;
    left: 0;
    position: absolute;
}

.star-rating span {
    overflow: hidden;
    float: left;
    top: 0;
    left: 0;
    position: absolute;
    padding-top: 1.5em;
}

.star-rating span::before {
    content: "\53\53\53\53\53";
    top: 0;
    position: absolute;
    left: 0;
    color: #FFC008;
}

p.stars a {
    position: relative;
    height: 1em;
    width: 1em;
    text-indent: -999em;
    display: inline-block;
    text-decoration: none;
    margin-right: 1px;
    font-weight: 400;
}

p.stars a::before {
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    width: 1em;
    height: 1em;
    line-height: 1;
    font-family: star;
    content: "\53";
    color: #475467;
    text-indent: 0;
    opacity: 0.25;
    font-size: 22px;
}

p.stars a:hover ~ a::before {
    content: "\53";
    color: #475467;
    opacity: 0.25;
}

p.stars:hover a::before {
    content: "\53";
    color: #FFC008;
    opacity: 1;
}

p.stars.selected a.active::before {
    content: "\53";
    color: #FFC008;
    opacity: 1;
}

p.stars.selected a.active ~ a::before {
    content: "\53";
    color: #475467;
    opacity: 0.25;
}

p.stars.selected a:not(.active)::before {
    content: "\53";
    color: #FFC008;
    opacity: 1;
}
/**
 * end star rating 
 */
